Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047652
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSminoralways2021-09-08 12:122021-09-16 11:45
Reportertimothee_catteeuwView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionTAP
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047652: Offline - Approval does work but confusing messages are displayed

DescriptionFollowing the resolution of that mantis --> https://issues.openbravo.com/view.php?id=47215 [^]
Approval in offline mode works well but after approving the action for the user, a message is displayed at the bottom right each time you approve an action (this message is "Application server is not available")

This message can be confusing for the users who could think the action is not done. Yet it is correctly done.
Steps To ReproduceCase 1 (when action can be done by the user even if the system is in offline mode)
1. In BO, set an user action to "Require approval" for a user (User 1) and "Can use and approve" for an other (User 2) --> example : deleteLine or deleteTicket
2. Connect to POS with User 1
3. Try to do the action with approval
4. Enter User 2 credential to approve --> approval is ok without error message
5. Disconnect network from OB Central
6. Try to do the same action with approval
7. Enter User 2 credential to approve --> approval is ok but an error message appears at the bottom
Proposed SolutionRemove this message because it does not make sense since there is no error.
Or adapt it (information message for example instead of it)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0047663TAP acknowledgedplatform Offline - Approval does work but confusing messages are displayed 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0131692)
alostale (developer)
2021-09-10 07:00

There are two different cases:

1. POS is offline but it's not aware of it as no request to backend has been performed yet (online icon is green). The first request in online is done to check approvals and it detects it is offline, so icon goes red.

2. It was detected to be offline (icon was already red). In this case, approval flow is done offline not even trying to do any request.

In case 1 it is fine to display the message because, as in any other flow, it is notifying the user the fact POS is going offline. In case 2, though, the message should not be displayed.
(0131835)
hgbot (developer)
2021-09-15 18:41

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/630 [^]
(0131861)
hgbot (developer)
2021-09-16 11:45

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: 5939d7eb409ba2771a6852f8819b8e476fec0c47
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-09-16T09:44:50+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/5939d7eb409ba2771a6852f8819b8e476fec0c47 [^]

Fixed ISSUE-47652: Incorrect error message appears after approval in offline mode.

This fix prevents the error messages to appear after requesting approval in offline mode.
However, if the server is offline but the application is not aware of that, the first time we request
for approval the request will fail and the error message will appear. Once transitioned to offline,
subsequent approvals will work as expected without errors.

---
M web-jspack/org.openbravo.core2/src/core/security/ApprovalChecker.js
M web-jspack/org.openbravo.core2/src/core/security/__test__/ApprovalChecker.test.js
---
(0131862)
hgbot (developer)
2021-09-16 11:45

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/630 [^]

- Issue History
Date Modified Username Field Change
2021-09-08 12:12 timothee_catteeuw New Issue
2021-09-08 12:12 timothee_catteeuw Assigned To => Retail
2021-09-08 12:12 timothee_catteeuw Triggers an Emergency Pack => No
2021-09-09 11:18 dmiguelez Assigned To Retail => platform
2021-09-09 11:18 dmiguelez Status new => acknowledged
2021-09-09 11:18 dmiguelez Status acknowledged => scheduled
2021-09-09 11:19 dmiguelez Status scheduled => acknowledged
2021-09-09 15:47 dmiguelez Severity major => minor
2021-09-10 07:00 alostale Note Added: 0131692
2021-09-15 14:33 jarmendariz Assigned To platform => jarmendariz
2021-09-15 18:41 hgbot Note Added: 0131835
2021-09-16 11:45 hgbot Resolution open => fixed
2021-09-16 11:45 hgbot Status acknowledged => closed
2021-09-16 11:45 hgbot Note Added: 0131861
2021-09-16 11:45 hgbot Note Added: 0131862


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker